<?php

/**
* 
*/
class Controller 
{
	
	function __construct()
	{
		// every controller creates a view
		$this->view = new View();	

	}

	// if a model exists load it
	public function loadModel($name){
		$path = 'models/' . $name . '_model.php';
        
        if (file_exists($path)) {
            require $path;
            
            $modelName = $name . '_Model';
            $this->model = new $modelName();
        }
	}

}

?>