<?php

/**
* 
*/
class Bootstrap
{
	
	function __construct()
	{
		// if a url is present create the url $url variable and remove trailing slashes
		// else set $url to 'index'
		if (isset($_GET['url'])) {
			$url = $_GET['url'];
			$url = rtrim($url, '/');
		} else {
			$url = "index";
		}

		// check if a controller exists for this $url else go to 'index'
		if (!file_exists('controllers/' . $url . '_ctrl.php')) {
			$url = 'index';
		} 
		
		// start the controller which in turn creates a view
		require 'controllers/' . $url . '_ctrl.php';
		$controller = new $url;

		// load a model
		$controller->loadModel($url);

		// render the view
		$controller->index();

	}
}

?>